package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.repository.entity.crawler.ArticlePreDistributeAccount;
import com.tzld.longarticle.recommend.server.repository.entity.crawler.ArticleUserGroup;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ArticleUserGroupRepository extends JpaRepository<ArticleUserGroup, Long> {
    @Query("select distinct userGroupId from ArticleUserGroup where gzhId = :gzhId and isDelete = 0")
    List<Integer> findAllUserGroupId(String gzhId);

    ArticleUserGroup findFirstByGzhIdAndOpenId(String gzhId, String openId);

    @Query("select distinct openId from ArticleUserGroup where gzhId = :gzhId" +
            " and userGroupId = :userGroupId and isDelete = 0")
    List<String> findAllOpenId(String gzhId, int userGroupId);
}